// Copyright 2007, 2008, 2009 Ian Horswill
// This file is part of Twig.
//
// Twig is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Twig is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Twig.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

#pragma warning disable 1591

namespace Twig
{
    /// <summary>
    /// An adult-sized Person.  Finds children interesting, ignores other objects.
    /// </summary>
    public class Adult : Person
    {
        public Adult(TwigGame g, string name, Vector3 position, Vector3 facingDirection)
            : this(g, name)
        {
            PoseAt(position, facingDirection);
        }

        public Adult(TwigGame g, string name)
            : base(g, name, 1f, 0.25f,
                    0.7f, 0.1f, 0.5f, 0.5f,
                    0.35f, 0.1f, 0.6f, 0.6f, 0.4f)
        {
            baseLineSecurity = 0.7f;
        }

        public override ObjectAppraisal GenericAppraisal(TwigObject o)
        {
            if (o is Child)
                return new ObjectAppraisal(0.2f);
            else
                return new ObjectAppraisal(0f);
        }
    }
}
