// Copyright 2007, 2008, 2009 Ian Horswill
// This file is part of Twig.
//
// Twig is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as 
// published by the Free Software Foundation, either version 3 of
//  the License, or (at your option) any later version.
//
// Twig is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Twig.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;

namespace Twig
{
    /// <summary>
    /// Provides keyboard control of pausing and single-stepping.
    /// </summary>
    public class PauseControl
    {
        /// <summary>
        /// Provides keyboard control of pausing and single-stepping.
        /// </summary>
        public static void InstallKeyHandlers(TwigGame g, Keys pause, Keys singleStep, Keys loop)
        {
            g.BindKey(pause, "Pause/unpause game", delegate(Keys ignore) {
                g.Pause = !g.Pause;
            });
            g.BindKey(singleStep, "Single-step one frame (when paused)", delegate(Keys ignore) {
                g.SingleStep = true;
            });
#if NodeLogging
            g.BindKey(loop, "Toggle looping of most recent animation", delegate(Keys ignore) {
                if (Node.PlaybackLog)
                    Node.PlaybackLog = false;
                else {
                    Node.PlaybackLog = true;
                    g.Pause = true;
                }
            });
#endif
        }
    }
}